from serverConfig import *
import serverConfig

# ADD PQPF Percentile Grids #####################
HPCPRCTL05 = ('HPCPRCTL05', GRID, '', NO, NO, 2, 0)
HPCPRCTL10 = ('HPCPRCTL10', GRID, '', NO, NO, 2, 0)
HPCPRCTL25 = ('HPCPRCTL25', GRID, '', NO, NO, 2, 0)
HPCPRCTL50 = ('HPCPRCTL50', GRID, '', NO, NO, 2, 0)
HPCPRCTL75 = ('HPCPRCTL75', GRID, '', NO, NO, 2, 0)
HPCPRCTL90 = ('HPCPRCTL90', GRID, '', NO, NO, 2, 0)
HPCPRCTL95 = ('HPCPRCTL95', GRID, '', NO, NO, 2, 0)

# D2DDB Versions
serverConfig.D2DDBVERSIONS["HPCPRCTL05"]=2
serverConfig.D2DDBVERSIONS["HPCPRCTL10"]=2
serverConfig.D2DDBVERSIONS["HPCPRCTL25"]=2
serverConfig.D2DDBVERSIONS["HPCPRCTL50"]=2
serverConfig.D2DDBVERSIONS["HPCPRCTL75"]=2
serverConfig.D2DDBVERSIONS["HPCPRCTL90"]=2
serverConfig.D2DDBVERSIONS["HPCPRCTL95"]=2

# D2DDIRS Config
serverConfig.D2DDIRS.append(('/data/fxa/Grid/LOCAL/netCDF/hpcPrctl05', 'HPCPRCTL05'))
serverConfig.D2DDIRS.append(('/data/fxa/Grid/LOCAL/netCDF/hpcPrctl10', 'HPCPRCTL10'))
serverConfig.D2DDIRS.append(('/data/fxa/Grid/LOCAL/netCDF/hpcPrctl25', 'HPCPRCTL25'))
serverConfig.D2DDIRS.append(('/data/fxa/Grid/LOCAL/netCDF/hpcPrctl50', 'HPCPRCTL50'))
serverConfig.D2DDIRS.append(('/data/fxa/Grid/LOCAL/netCDF/hpcPrctl75', 'HPCPRCTL75'))
serverConfig.D2DDIRS.append(('/data/fxa/Grid/LOCAL/netCDF/hpcPrctl90', 'HPCPRCTL90'))
serverConfig.D2DDIRS.append(('/data/fxa/Grid/LOCAL/netCDF/hpcPrctl95', 'HPCPRCTL95'))

HPCPRCTL_parms = [([QPF], TC6NG)]
# Append Databases/Parms
try:
   dbs
except NameError:
   dbs=[]
dbs.append((HPCPRCTL05, HPCPRCTL_parms))
dbs.append((HPCPRCTL10, HPCPRCTL_parms))
dbs.append((HPCPRCTL25, HPCPRCTL_parms))
dbs.append((HPCPRCTL50, HPCPRCTL_parms))
dbs.append((HPCPRCTL75, HPCPRCTL_parms))
dbs.append((HPCPRCTL90, HPCPRCTL_parms))
dbs.append((HPCPRCTL95, HPCPRCTL_parms))

#SmartInit
serverConfig.INITMODULES["HPCPRCTL05"] = ["HPCPRCTL05"]
serverConfig.INITMODULES["HPCPRCTL10"] = ["HPCPRCTL10"]
serverConfig.INITMODULES["HPCPRCTL25"] = ["HPCPRCTL25"]
serverConfig.INITMODULES["HPCPRCTL50"] = ["HPCPRCTL50"]
serverConfig.INITMODULES["HPCPRCTL75"] = ["HPCPRCTL75"]
serverConfig.INITMODULES["HPCPRCTL90"] = ["HPCPRCTL90"]
serverConfig.INITMODULES["HPCPRCTL95"] = ["HPCPRCTL95"]

serverConfig.D2DAccumulativeElements={
"HPCPRCTL05":["tp"],
"HPCPRCTL10":["tp"],
"HPCPRCTL25":["tp"],
"HPCPRCTL50":["tp"],
"HPCPRCTL75":["tp"],
"HPCPRCTL90":["tp"],
"HPCPRCTL95":["tp"]
}

